Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Interface IBody

All Known Implementing Classes:
  XWPFDocument, XWPFFooter, XWPFFootnote, XWPFHeader, XWPFHeaderFooter, XWPFTableCell

    public interface IBody

8 Jan 2010

// This Interface represents an object, which is able to have a collection of paragraphs and tables this can be XWFPDocument, XWPFHeader, XWPFFooter, XWPFTableCell

Author:
  Philipp Epp

Method Summary
`java.util.List` | `getBodyElements()` Returns an Iterator with paragraphs and tables, in the order that they occur in the text.
`XWPFParagraph` | `getParagraph(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP p)` if there is a corresponding `XWPFParagraph` of the parameter ctTable in the paragraphList of this header or footer the method will return this paragraph if there is no corresponding `XWPFParagraph` the method will return null
`XWPFParagraph` | `getParagraphArray(int pos)` Returns the paragraph that of position pos
`java.util.List` | `getParagraphs()` Returns the paragraph(s) that holds the text of the header or footer.
`POIXMLDocumentPart` | `getPart()` returns the Part, to which the body belongs, which you need for adding relationship to other parts Actually it is needed of the class XWPFTableCell.
`BodyType` | `getPartType()` get the PartType of the body, for example DOCUMENT, HEADER, FOOTER, FOOTNOTE,
`XWPFTable` | `getTable(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl ctTable)` if there is a corresponding `XWPFTable` of the parameter ctTable in the tableList of this header the method will return this table if there is no corresponding `XWPFTable` the method will return null
`XWPFTable` | `getTableArray(int pos)` Returns the table at position pos
`XWPFTableCell` | `getTableCell(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc cell)` returns the TableCell to which the Table belongs
`java.util.List` | `getTables()` Return the table(s) that holds the text of the IBodyPart, for complex cases where a paragraph isn't used.
`XWPFDocument` | `getXWPFDocument()` Return XWPFDocument
`XWPFParagraph` | `insertNewParagraph(org.apache.xmlbeans.XmlCursor cursor)` inserts a new paragraph at position of the cursor
`XWPFTable` | `insertNewTbl(org.apache.xmlbeans.XmlCursor cursor)` inserts a new Table at the cursor position.
`void` | `insertTable(int pos, XWPFTable table)` inserts a new Table at position pos

Method Detail

### getPart

    POIXMLDocumentPart getPart()

  returns the Part, to which the body belongs, which you need for adding relationship to other parts Actually it is needed of the class XWPFTableCell. Because you have to know to which part the tableCell belongs.

  Returns:
    the Part, to which the body belongs

### getPartType

    BodyType getPartType()

  get the PartType of the body, for example DOCUMENT, HEADER, FOOTER, FOOTNOTE,

  Returns:
    the PartType of the body

### getBodyElements

    java.util.List getBodyElements()

  Returns an Iterator with paragraphs and tables, in the order that they occur in the text.

### getParagraphs

    java.util.List getParagraphs()

  Returns the paragraph(s) that holds the text of the header or footer.

### getTables

    java.util.List getTables()

  Return the table(s) that holds the text of the IBodyPart, for complex cases where a paragraph isn't used.

### getParagraph

    XWPFParagraph getParagraph(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP p)

  if there is a corresponding `XWPFParagraph` of the parameter ctTable in the paragraphList of this header or footer the method will return this paragraph if there is no corresponding `XWPFParagraph` the method will return null

  Parameters:
    `p` - is instance of CTP and is searching for an XWPFParagraph
  Returns:
    null if there is no XWPFParagraph with an corresponding CTPparagraph in the paragraphList of this header or footer XWPFParagraph with the correspondig CTP p

### getTable

    XWPFTable getTable(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl ctTable)

  if there is a corresponding `XWPFTable` of the parameter ctTable in the tableList of this header the method will return this table if there is no corresponding `XWPFTable` the method will return null

  Parameters:
    `ctTable` -

### getParagraphArray

    XWPFParagraph getParagraphArray(int pos)

  Returns the paragraph that of position pos

### getTableArray

    XWPFTable getTableArray(int pos)

  Returns the table at position pos

### insertNewParagraph

    XWPFParagraph insertNewParagraph(org.apache.xmlbeans.XmlCursor cursor)

  inserts a new paragraph at position of the cursor

  Parameters:
    `cursor` -

### insertNewTbl

    XWPFTable insertNewTbl(org.apache.xmlbeans.XmlCursor cursor)

  inserts a new Table at the cursor position.

  Parameters:
    `cursor` -

### insertTable

    void insertTable(int pos,
                     XWPFTable table)

  inserts a new Table at position pos

  Parameters:
    `pos` -
    `table` -

### getTableCell

    XWPFTableCell getTableCell(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc cell)

  returns the TableCell to which the Table belongs

  Parameters:
    `cell` -

### getXWPFDocument

    XWPFDocument getXWPFDocument()

  Return XWPFDocument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD